# Uses of Interface
org.springframework.web.client.RestClient.ResponseSpec.ErrorHandler

Packages that use RestClient.ResponseSpec.ErrorHandler
Package
Description
org.springframework.web.client
Core package of the client-side web support.

## Uses of RestClient.ResponseSpec.ErrorHandler in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type RestClient.ResponseSpec.ErrorHandler
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`defaultStatusHandler(Predicate<HttpStatusCode> statusPredicate, RestClient.ResponseSpec.ErrorHandler errorHandler)`
Register a default status handler to apply to every response.
`RestClient.ResponseSpec`
RestClient.ResponseSpec.`onStatus(Predicate<HttpStatusCode> statusPredicate, RestClient.ResponseSpec.ErrorHandler errorHandler)`
Provide a function to map specific error status codes to an error handler.